
*,
*:before,
*:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Dosis', sans-serif;
}


.signInTitle {
  text-align:center;
  margin-bottom: 45px;
  margin-top: 20px; 
  
}

.signInTitle h1 {
  font-size: 27px !important;
  font-family: 'Dosis', sans-serif;
   background: -webkit-linear-gradient(173deg, rgba(9,121,114,1) 12%, rgba(255,154,0,1) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  

}
  

//BUTTON


.noselect {
  -webkit-touch-callout: none;
    -webkit-user-select: none;
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
		-webkit-tap-highlight-color: transparent;
}

button {
	border-radius: 30px; 
	width: 150px;
	height: 50px;
	cursor: pointer;
	border: none;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: #f9994b;
	background-image: linear-gradient(315deg, orange 0%, darkcyan 74%);
	background-size: 200% 100%;
	background-position: left;
	background-repeat: no-repeat;
	transition: 500ms;

}

button:before {
	border-radius: 30px; 
	content: "S'inscrire";
	color: rgb(0, 139, 139);
	font-size: 16px;
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 144px;
	height: 44px;
	background-color:white;
	background-image: linear-gradient(315deg, white 0%, white 74%);
	transition: 500ms;

}

button:hover {
	background-position: right;
}

button:hover:before {
	color: orange;
}

button:focus {
	outline: none;
}

/* Floating Labels */


.floating-form {
  width: 320px;
  text-align: center; 
  margin-left:20%;
  margin-top:50px;
}

/****  floating-Lable style start ****/
.floating-label {
  position: relative;
  margin-bottom: 35px;
}
.floating-input,
.floating-select {
  font-size: 18px;
  padding: 4px 4px;
  display: block;
  width: 100%;
  height: 30px;
  margin-bottom: 20px;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid teal;
}

.floating-input:focus,
.floating-select:focus {
  outline: none;
  border-bottom: 2px solid orange;
}

label {
  color: #999;
  font-size: 18px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 5px;
  top: 5px;
  transition: 0.2s ease all;
  -moz-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
}

.floating-input:focus ~ label,
.floating-input:not(:placeholder-shown) ~ label {
  top: -18px;
  font-size: 14px;
  color: teal;
}

.floating-select:focus ~ label,
.floating-select:not([value=""]):valid ~ label {
  top: -18px;
  font-size: 14px;
  color: teal;
}

/* active state */
.floating-input:focus ~ .bar:before,
.floating-input:focus ~ .bar:after,
.floating-select:focus ~ .bar:before,
.floating-select:focus ~ .bar:after {
  width: 50%;
}

*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.floating-textarea {
  min-height: 30px;
  max-height: 260px;
  overflow: hidden;
  overflow-x: hidden;
}

/* highlighter */
.highlight {
  position: absolute;
  height: 50%;
  width: 100%;
  top: 15%;
  left: 0;
  pointer-events: none;
  opacity: 0.5;
}

/* active state */
.floating-input:focus ~ .highlight,
.floating-select:focus ~ .highlight {
  -webkit-animation: inputHighlighter 0.5s ease;
  -moz-animation: inputHighlighter 0.5s ease;
  animation: inputHighlighter 0.5s ease;
}

/* animation */
@-webkit-keyframes inputHighlighter {
  from {
    background: #ffa60023;
  }
  to {
    width: 0;
    background: transparent;
  }
}
@-moz-keyframes inputHighlighter {
  from {
    background: #ffa60023;
  }
  to {
    width: 0;
    background: transparent;
  }
}
@keyframes inputHighlighter {
  from {
    background: #ffa60023;
  }
  to {
    width: 0;
    background: transparent;
  }
}

/****  floating-Lable style end ****/


